%define	name	bluez-bluefw
%define	version	1.0
%define	release	2mdk

Name: 		%{name}
Summary: 	Bluetooth firmware utilities.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://bluez.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kernel-source < 2.5

%description
Bluetooth firmware utilities.

%prep
%setup -q

%build
%configure2_5x
%make CFLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall fwdir=$RPM_BUILD_ROOT/%_datadir/bluetooth/firmware usbdir=$RPM_BUILD_ROOT/etc/hotplug/usb
perl -p -i -e 's|exec /sbin/bluefw|exec /usr/sbin/bluefw||g' $RPM_BUILD_ROOT/%_sysconfdir/hotplug/usb/bluefw

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/hotplug/usb/blue*
%{_sbindir}/bluefw
%{_datadir}/bluetooth/firmware/*

%changelog
* Tue Aug 24 2004 Austin Acton <austin@mandrake.org> 1.0-2mdk
- fix hotplug script
- configure 2.5

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0-1mdk
- 1.0
- require 2.4 kernel source, won't compile with 2.6

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.9-2mdk
- buildrequires kernel-source
- delint

* Mon Jan 20 2003 Austin Acton <aacton@yorku.ca> 0.9-1mdk
- initial package
